*{
    margin: 0;
    padding: 0;
}

h1{
    text-align: center;
    margin-top: 20px;
    font-variant: small-caps;
}

body{
    font-family: Arial, Helvetica, sans-serif;
    background: url(./background/images.png) no-repeat center fixed;
    background-size: cover;
    height: 100vh;
}

#container{
    display: flex;
    flex-direction: row;
    justify-content: center;
       
}

#lado-direto{
    overflow: scroll;
}

form{
    background: rgb(171, 195, 240);
    width: 250px;
    padding: 30px;
    margin: 30px;
    border-radius: 10px;    
}

table{
    max-width: 100%;
    overflow: scroll;
    margin-top: 30px;
    border-radius: 4px;  
    background: blanchedalmond;

    
}

input[type="text"], select{
    display: block;
    width: 100%;
    box-sizing: border-box;
    border-radius: 4px;
    border: none;
    height: 25px;
    margin-bottom: 10px;
    
}

span{
    background: rgb(206, 226, 28);
    margin-right: 78px;
}

tfoot{
    text-align: end;
}

thead th{
    padding: 0 10px;
}

thead th:first-child{
    padding: 0 90px;
}

tbody td{
    text-align: center;
    padding: 5px;

}

#lixeira:hover{
    cursor: pointer;
    background: red;
}

.campo-primario{
    margin-top: 10px;
}

select{
    margin-bottom: 10px;
}

label{
    display: block;
    margin-bottom: 4px;

}

p{
    margin-bottom: 10px;
}



#caixa input{
    margin-right: 4px;
}

#alerta input{
    margin-right: 4px;
}

#valor-data{
    display: flex;
    justify-content: space-between;
    margin-bottom: 7px;
    
}

.valor input[type="text"]{
    width: 110px;
    height: 20px;
    border-radius: 4px;
    border: none;
}

input[type="date"]{
    border-radius: 4px;
    border: none;
}


button{
    float: right;
    width: 60px;
    height: 25px;
    border: none;
}

button:hover{
    background: blue;
    cursor: pointer;
}


th:nth-child(1n+1) {background: rgb(151, 151, 149)}
tr:nth-child(2n+2) {background: rgb(255, 255, 255)}
tfoot:nth-child(1n+1) {background: rgb(151, 151, 149)}



@media screen and (max-width: 1019px) {
    #container{
        display: inline;
        margin-left: 30px;
 
  }
}

@media screen and (max-width: 821px) {
    table{
        margin-left: 16px;
 
  }
}

@media screen and (max-width: 808px) {
    table{
        margin-right: 8px;
 
  }
}

@media screen and (max-width: 694px) {
    table{
        margin-left: 5px;
 
  }
}

@media screen and (max-width: 694px) {
    h1{
        text-align: center;
 
  }
}



